albums: []
description: ''
franchises: []
link: product/16640
meta:
  added_date: 2024-07-28T22:47
  edited_date: 2024-07-28T22:47
  fetched_date: 2025-12-06T09:25
  ttl: 86400
  visitors: 89
name: AKIRA PSYCHO BALL
name_real: アキラ サイコボール
organizations: []
picture_full: https://media.vgm.io/products/04/16640/16640-1722236025.png
picture_small: https://thumb-media.vgm.io/products/04/16640/16640-1722236025.png
release_date: '2002-02-21'
releases:
- date: '2002-02-21'
  link: release/25421
  names:
    en: AKIRA PSYCHO BALL
    ja: アキラ サイコボール
    ja-latn: AKIRA PSYCHO BALL
  platform: Sony PlayStation 2
  region: Japan
type: Game
vgmdb_link: https://vgmdb.net/product/16640?perpage=99999
websites:
  Reference: []
